AppdefPagerProc (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.shared.pager.AppdefPagerProc class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef.shared.pager
Class AppdefPagerProc

    java.lang.Object
      org.hyperic.hq.appdef.shared.pager.AppdefPagerProc

All Implemented Interfaces:
  PagerProcessor, PagerProcessorExt

    public class AppdefPagerProc

extends java.lang.Object
implements PagerProcessorExt

A pager processor which allows a customized set of filters to be applied to the paging process. This allows for dynamic specification of inclusionary or exclusionary paging criteria.

Constructor Summary
`AppdefPagerProc()`

Method Summary
`PagerEventHandler` | `getEventHandler()` Get the event handler associated with the processor.
`java.lang.Object` | `processElement(java.lang.Object objIn)` This method satisfies the interface but is essentially a "no-op".
`java.lang.Object` | `processElement(java.lang.Object objIn, java.lang.Object jobData)` Process the element according to our filter list and return the object if not caught by the filter.
`boolean` | `skipNulls()` This processor always expects the pager to skip nulls

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AppdefPagerProc

    public AppdefPagerProc()

Method Detail

### getEventHandler

    public PagerEventHandler getEventHandler()

  Get the event handler associated with the processor. (NOT PRESENTLY USED)

  Specified by:
    `getEventHandler` in interface `PagerProcessorExt`

### skipNulls

    public boolean skipNulls()

  This processor always expects the pager to skip nulls

  Specified by:
    `skipNulls` in interface `PagerProcessorExt`
  Returns:
    true always

### processElement

    public java.lang.Object processElement(java.lang.Object objIn)

  This method satisfies the interface but is essentially a "no-op".

  Specified by:
    `processElement` in interface `PagerProcessor`
  Parameters:
    `inbound` - object
  Returns:
    outbound object or null

### processElement

    public java.lang.Object processElement(java.lang.Object objIn,
                                           java.lang.Object jobData)

  Process the element according to our filter list and return the object if not caught by the filter.

  Specified by:
    `processElement` in interface `PagerProcessorExt`
  Parameters:
    `objIn` - - object to process
    `jobData` - - A upcasted instance of AppdefPagerFilter[].
  Returns:
    non-filtered objects or null

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.